commit:     84e2754064e98d26234db02d6bdf6231311d7aa1
Author:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 23 14:57:08 2016 +0000
Commit:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Sat Apr 23 14:57:08 2016 +0000
URL:        https://gitweb.gentoo.org/proj/mozilla.git/commit/?id=84e27540

Apply system-harfbuzz support to firefox and thunderbird-45.0

 eclass/mozconfig-v6.45.eclass                   | 53 +++++++++++++++++++++++--
 mail-client/thunderbird/Manifest                |  2 +-
 mail-client/thunderbird/thunderbird-45.0.ebuild |  9 ++---
 www-client/firefox/Manifest                     |  2 +-
 www-client/firefox/firefox-45.0.1-r1.ebuild     | 11 ++---
 5 files changed, 59 insertions(+), 18 deletions(-)

diff --git a/eclass/mozconfig-v6.45.eclass b/eclass/mozconfig-v6.45.eclass
index 5455a81..3c48592 100644
--- a/eclass/mozconfig-v6.45.eclass
+++ b/eclass/mozconfig-v6.45.eclass
@@ -71,7 +71,7 @@ inherit flag-o-matic toolchain-funcs mozcoreconf-v3
 
 # use-flags common among all mozilla ebuilds
 IUSE="${IUSE} dbus debug ffmpeg +gstreamer gstreamer-0 +jemalloc3 neon 
pulseaudio selinux startup-notification system-cairo
-       system-icu system-jpeg system-libevent system-sqlite system-libvpx"
+       system-harfbuzz system-icu system-jpeg system-libevent system-sqlite 
system-libvpx"
 
 # some notes on deps:
 # gtk:2 minimum is technically 2.10 but gio support (enabled by default) needs 
2.14
@@ -121,6 +121,7 @@ RDEPEND=">=app-text/hunspell-1.2
        system-libevent? ( =dev-libs/libevent-2.0*:0= )
        system-sqlite? ( >=dev-db/sqlite-3.9.1:3[secure-delete,debug=] )
        system-libvpx? ( >=media-libs/libvpx-1.3.0:0=[postproc] )
+       system-harfbuzz? ( >=media-libs/harfbuzz-1.1.3:0=[graphite2,icu] 
>=media-gfx/graphite2-1.3.8 )
 "
 
 if [[ -n ${MOZCONFIG_OPTIONAL_GTK3} ]]; then
@@ -179,8 +180,11 @@ DEPEND="app-arch/zip
 RDEPEND+="
        selinux? ( sec-policy/selinux-mozilla )"
 
-# only one of gstreamer and gstreamer-0 can be enabled at a time, so set 
REQUIRED_USE to signify this
-REQUIRED_USE="?? ( gstreamer gstreamer-0 )"
+# only one of gstreamer and gstreamer-0 can be enabled at a time, so set 
REQUIRED_USE to signify this.
+# also force system-icu if system-harfbuzz is set to avoid any potential ABI 
issues
+REQUIRED_USE="
+       ?? ( gstreamer gstreamer-0 )
+       system-harfbuzz? ( system-icu )"
 
 # only one of gtk3 or qt5 should be permitted to be selected, since only one 
will be used.
 [[ -n ${MOZCONFIG_OPTIONAL_GTK3} ]] && [[ -n ${MOZCONFIG_OPTIONAL_QT5} ]] && \
@@ -326,6 +330,8 @@ mozconfig_config() {
        mozconfig_use_with system-jpeg
        mozconfig_use_with system-icu
        mozconfig_use_with system-libvpx
+       mozconfig_use_with system-harfbuzz
+       mozconfig_use_with system-harfbuzz system-graphite2
 
        # Modifications to better support ARM, bug 553364
        if use neon ; then
@@ -343,3 +349,44 @@ mozconfig_config() {
                fi
        fi
 }
+
+# @FUNCTION: mozconfig_install_prefs
+# @DESCRIPTION:
+# Set preferences into the prefs.js file specified as a parameter to
+# the function.  This sets both some common prefs to all mozilla
+# packages, and any prefs that may relate to the use flags administered
+# by mozconfig_config().
+#
+# Call this within src_install() phase, after copying the template
+# prefs file (if any) from ${FILESDIR}
+#
+# Example:
+#
+# inherit mozconfig-v6.46
+#
+# src_install() {
+#      cp "${FILESDIR}"/gentoo-default-prefs.js \
+#      "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js"  
\
+#      || die
+#
+#      mozconfig_install_prefs \
+#      "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js"
+#
+#      ...
+# }
+
+mozconfig_install_prefs() {
+       local prefs_file="${1}"
+
+       einfo "Adding prefs from mozconfig to ${prefs_file}"
+
+       # set dictionary path, to use system hunspell
+       echo "pref(\"spellchecker.dictionary_path\", 
\"${EPREFIX}/usr/share/myspell\");" \
+               >>"${prefs_file}" || die
+
+       # force the graphite pref if system-harfbuzz is enabled, since the pref 
cant disable it
+       if use system-harfbuzz ; then
+               echo 
"sticky_pref(\"gfx.font_rendering.graphite.enabled\",true);" \
+                       >>"${prefs_file}" || die
+       fi
+}

diff --git a/mail-client/thunderbird/Manifest b/mail-client/thunderbird/Manifest
index 81a3875..ea4df75 100644
--- a/mail-client/thunderbird/Manifest
+++ b/mail-client/thunderbird/Manifest
@@ -1,5 +1,5 @@
 DIST enigmail-1.9.1.tar.gz 1736876 SHA256 
0393119725fa5931d9888a2a1c9796d440ee7975ca3d005eb63142768b10f993 SHA512 
5417d7744ff5b8299d9799059f62013e546fb74206782169e5ce6baa0950d96d1c8996c99ec902ca73b241fd1268966e0a7ad30c032a1706a0efbf06fefc311c
 WHIRLPOOL 
80cff68461edc743851de5a83cd04105f6689eb1289f46b72334a96b091dc430399a91b2ab004a39bd7cb04433ab0471dd07b44d39fc2eb3869487b07841fc5a
-DIST firefox-45.0-patches-03.tar.xz 15980 SHA256 
5bc13bb36d3e907dcffe4d57c7ace78478859bfdbe84a6b99fa76502592e0291 SHA512 
6384773ea4944db15dc131a05cf61bb96505899fb5077d54c5e7227f07423656627c81321a3c207d7a3b4ad0830dd9a53d66aca832dc1ee177964516489aab30
 WHIRLPOOL 
c3626f501434c3dc9ec4a7ba3d02e50ff8b9d011005fb334d5dedf5177d6af778e541cb7cb4ebe7d281563434bace214008c54299809e823dd83c5a5de535247
+DIST firefox-45.0-patches-04.tar.xz 18600 SHA256 
2ee0ab58e0a1db7b573dd7ac407dcb9a43a85dd295c5d6d263f72ce629c5290c SHA512 
cf5d4ddfe14dff92950baae066350ace0a503c5bdd9d837e4724fd2fb905a2fb540dcf34971531e79547dd62dfbf217d472f39ccc4802f34a245e24f406fdb5e
 WHIRLPOOL 
1461c61ba7e54b7a91c758fdf91fda22260eaff4148b3cccab8ccfd9d09a3d80c0314e999284d392d9e961c42cd9720d6d30ac190074f74d1e53ecb1afa1b1e3
 DIST gdata-provider-2.6-r1.tar.xz 83836 SHA256 
e181d5fe69e66f34719295790301e0d265c855be5f30df516c52dd3708d82158 SHA512 
e5fcf60c221590d1d904ce8c6a74da7208b118c2872a26267f4ee6d3e68eea466d44b979b7259a012a21e48eb5b470d52cc9e58584226fe04ce88ff698da495b
 WHIRLPOOL 
0e85fbb321edec0397b42808fd6320e245de35ddd1cf772545c432dbf26d8c28b042ba2c61bbde2abdbf4d5cca076436e6d678d6d636d3bcc562470d485df6c1
 DIST lightning-4.7-r1.tar.xz 1926956 SHA256 
b0aaa666d60d6b85be540e6988233987523b70ecb5af6bcd3d5f5d26d19b0008 SHA512 
46db4733067b869cde618810083b3f6e5a49169fa868b561c67e8b17111a8ccb2dfd3ff0fcc33979b81925e381ef2d3a6675ed899119cb300883b16ac3c47344
 WHIRLPOOL 
2cbb98b3e7623aaa33a04056b8ef1c6a697e16449eec72d05ffdac20692ac3013cead77838a5eb064a0f55a17550f4ffd6e7ded28728e5b85c39937afe96d73d
 DIST thunderbird-38.0-patches-0.1.tar.xz 684 SHA256 
cd2a347b72a104e72d38e56bb92df3464e8820485119b4114dbd0bbda131a808 SHA512 
52c83af301be959e861dfec55b3c4bc60035387c606976bd29232c4cba077230edcadef242491e699fba10027d0408dd4f33fa320bcf96727afe149166ca02de
 WHIRLPOOL 
a378a0fa1b152f17681a5e389662fedfacd45a137b224f038d3c98ab4a024bcf9e753fb2fe018cdb7126fb710ee8baabdf7882540450ead2985070d0d1f12eb0

diff --git a/mail-client/thunderbird/thunderbird-45.0.ebuild 
b/mail-client/thunderbird/thunderbird-45.0.ebuild
index f035e4c..34e6f73 100644
--- a/mail-client/thunderbird/thunderbird-45.0.ebuild
+++ b/mail-client/thunderbird/thunderbird-45.0.ebuild
@@ -27,7 +27,7 @@ EMVER="1.9.1"
 
 # Patches
 PATCH="thunderbird-38.0-patches-0.1"
-PATCHFF="firefox-45.0-patches-03"
+PATCHFF="firefox-45.0-patches-04"
 
 MOZ_HTTP_URI="https://archive.mozilla.org/pub/${PN}/releases";
 
@@ -258,7 +258,6 @@ src_compile() {
 
 src_install() {
        declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
-       DICTPATH="\"${EPREFIX}/usr/share/myspell\""
 
        declare emid
        cd "${BUILD_OBJ_DIR}" || die
@@ -268,10 +267,8 @@ src_install() {
                "${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" \
                || die
 
-       # Set default path to search for dictionaries.
-       echo "pref(\"spellchecker.dictionary_path\", ${DICTPATH});" \
-               >> "${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" \
-               || die
+       mozconfig_install_prefs \
+               "${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js"
 
        # Pax mark xpcshell for hardened support, only used for startupcache 
creation.
        pax-mark m "${BUILD_OBJ_DIR}"/dist/bin/xpcshell

diff --git a/www-client/firefox/Manifest b/www-client/firefox/Manifest
index a5d0593..bb010f5 100644
--- a/www-client/firefox/Manifest
+++ b/www-client/firefox/Manifest
@@ -1,4 +1,4 @@
-DIST firefox-45.0-patches-03.tar.xz 15980 SHA256 
5bc13bb36d3e907dcffe4d57c7ace78478859bfdbe84a6b99fa76502592e0291 SHA512 
6384773ea4944db15dc131a05cf61bb96505899fb5077d54c5e7227f07423656627c81321a3c207d7a3b4ad0830dd9a53d66aca832dc1ee177964516489aab30
 WHIRLPOOL 
c3626f501434c3dc9ec4a7ba3d02e50ff8b9d011005fb334d5dedf5177d6af778e541cb7cb4ebe7d281563434bace214008c54299809e823dd83c5a5de535247
+DIST firefox-45.0-patches-04.tar.xz 18600 SHA256 
2ee0ab58e0a1db7b573dd7ac407dcb9a43a85dd295c5d6d263f72ce629c5290c SHA512 
cf5d4ddfe14dff92950baae066350ace0a503c5bdd9d837e4724fd2fb905a2fb540dcf34971531e79547dd62dfbf217d472f39ccc4802f34a245e24f406fdb5e
 WHIRLPOOL 
1461c61ba7e54b7a91c758fdf91fda22260eaff4148b3cccab8ccfd9d09a3d80c0314e999284d392d9e961c42cd9720d6d30ac190074f74d1e53ecb1afa1b1e3
 DIST firefox-45.0.1-af.xpi 436169 SHA256 
d0b4d85f6f3260cbfa27fb83be0cc11d224a37106c7309fd71aaa32b5e20ff03 SHA512 
b6e26749b30dc95801c164403a16767715c67001e50d0b96345e8bb80b3450e883dcd525c4b253b1eaf14e7c3d637d4302050dd79727d91b11836cf47eea43f1
 WHIRLPOOL 
6c93a29d4a8f9348028bd5402e12ded00c888820bf9beb31dd4f17024ef8f256f0a4235128f93a232f1e2ea7a2504aac1faabe0c5ae3d2219e2fe7888f266ece
 DIST firefox-45.0.1-ar.xpi 471775 SHA256 
d0fa28f972326c9da83bba4f92310ee65d577b9c3a8520a09f7fc2704c64573d SHA512 
8b3fe1e88e659cd1c844dd0b1926e48b481d96519754a3524e59b5ef16cb4a2c6829d4a0f27156328561da13b85d74e7623c0451234f437d38c1d7438f92fc78
 WHIRLPOOL 
3aa20183c9cbabb5c77335001f94e306d6372dfd9ac729bc65468a35646a88f4078a6658d1fb52d43d66da7eaf00509ecd37d6b18a8d9f40ec7a002193aab068
 DIST firefox-45.0.1-as.xpi 479910 SHA256 
5fc518733fa7bfba6650473f2d54a1cc92fa7493c64ccda77bb9776d4308d78b SHA512 
a7a8a5d14df2fad5875ad6ecc2eaf38501e7455d784f783d569ef0ef2a2705abe6c51348529dfde435a0d92617ba7d7eb4e5203427c093ec60177c73f5b20cbd
 WHIRLPOOL 
cb8a39dc458fa123ccd1cc87219cc6f83dbedbbf088453c77e4dd0050175cbe2eb7da01b87cb85bb6ccb9e1921b586d984e842b28477bc8447d1b30643653dc0

diff --git a/www-client/firefox/firefox-45.0.1-r1.ebuild 
b/www-client/firefox/firefox-45.0.1-r1.ebuild
index e71ab99..466fd65 100644
--- a/www-client/firefox/firefox-45.0.1-r1.ebuild
+++ b/www-client/firefox/firefox-45.0.1-r1.ebuild
@@ -27,7 +27,7 @@ if [[ ${MOZ_ESR} == 1 ]]; then
 fi
 
 # Patch version
-PATCH="${PN}-45.0-patches-03"
+PATCH="${PN}-45.0-patches-04"
 MOZ_HTTP_URI="https://archive.mozilla.org/pub/${PN}/releases";
 
 MOZCONFIG_OPTIONAL_GTK3="enabled"
@@ -276,7 +276,6 @@ src_compile() {
 
 src_install() {
        MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
-       DICTPATH="\"${EPREFIX}/usr/share/myspell\""
 
        cd "${BUILD_OBJ_DIR}" || die
 
@@ -285,6 +284,9 @@ src_install() {
                
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
                || die
 
+       mozconfig_install_prefs \
+               
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js"
+
        # Augment this with hwaccel prefs
        if use hwaccel ; then
                cat "${FILESDIR}"/gentoo-hwaccel-prefs.js-1 >> \
@@ -292,11 +294,6 @@ src_install() {
                || die
        fi
 
-       # Set default path to search for dictionaries.
-       echo "pref(\"spellchecker.dictionary_path\", ${DICTPATH});" \
-               >> 
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
-               || die
-
        echo "pref(\"extensions.autoDisableScopes\", 3);" >> \
                
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
                || die

Reply via email to